<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
        <meta charset="utf-8">
        <link rel="stylesheet" href="css/modal.css">
        <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
        <script>
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            firebase.initializeApp(firebaseConfig);
        </script>
        <style>
                body {
                    margin: 0;
                }
                button {
                    outline: none;
                }
                #nav-bar {
                    height: 104px;
                    width: 100%;
                    border-bottom-left-radius: 20px;
                    border-bottom-right-radius: 20px;
                    background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));
                }
                #nav-text {
                    position: absolute;
                    height: 30px;
                    width: 20vw;
                    color: #000;
                    font-family: Montserrat;
                    font-size: 25px;
                    font-weight: 700;
                    line-height: 30px;
                    text-align: center;
                    margin-left: 35vw;
                    margin-top: 40px;
                }
                .fa-chevron-left {
                    font-size: 25px;
                    margin-top: 45.1px;
                    margin-left: 39px;
                }
                .rectangle-menu {
                    margin-top: 15px;
                    box-sizing: border-box;
                    height: 91px;
                    width: 296px;
                    border-radius: 10px; 
                    padding: 0;
                    border: 0;
                }
                #tmp {
                    /* height: 100vh; */
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    flex-direction: column;
                }
                .menu-text {
                    margin: 0;
                    height: 26px;
                    width: 100%;
                    color: #000;
                    font-family: 'Montserrat', sans-serif;
                    font-size: 22px;
                    font-weight: 700;
                    letter-spacing: 1px;
                    line-height: 26px;
                    text-align: center;
                }
                #reset {
                margin-top: 15px;
                height: 91px;
                width: 296px;
                border-radius: 10px;
                background-color: rgba(255,51,102,0.7);
                /* text-align: center; */
                border: 0;
                padding: 0;
                display: flex;
                justify-content: center;
                align-items: center;    
                outline: none !important;        
            }
        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">Тохиргоо</div>
            <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
        </div>
        <div id="tmp">
            <button class="rectangle-menu" onclick="status()" style="background-color:rgba(51,153,255,0.7); margin-top:30px;">
                <h1 class="menu-text">Статистик</h1>
            </button>
            <button class="rectangle-menu" onclick="leaderboard()" style="background-color:rgba(243,202,62,0.7)">
                <h1 class="menu-text">Leaderboard</h1>
            </button>
            <button class="rectangle-menu" onclick="sound()" style="background-color:rgba(255,95,88,0.7)">
                <h1 class="menu-text">Дуу</h1>
            </button>
            <button class="rectangle-menu" onclick="about()" style="background-color:rgba(42,201,64,0.7)">
                <h1 class="menu-text">Манай багийн тухай</h1>
            </button>
            <button id="reset" onclick="reset()">
                <h1 class="menu-text">Дахин эхлүүлэх    </h1>
            </div>
            <!-- The Modal -->
            <div id="reset-modal" class="modal">
                <div class="modal-content">
                    <h1 id='bord_text'>Дахин эхлүүлэх</h1>
                    <p id="text_2">Та тоглоомыг дахин шинээр эхлүүлэхдээ итгэлтэй байна уу? Энэ үйлдлийг дахин буцаах боломжгүй.</p>
                    <div style="display: flex; flex-direction: row" >
                        <div id="action_2">
                            <button id='no_btn' onclick="no()" >
                                <p id='n_t' >Болих</p>
                            </button>
                        </div>
                        <div id="action_1">
                            <button id='yes_btn' onclick="yes()">
                                <p id = 'y_t'>Тийм</p>
                            </button>
                        </div>
                    </div>
                </div>
            </button>
        </div>
        <script>
            function back_icon() {
                window.history.back();
            }
            function about() {
                window.location.href = "team.html"
            }
            function status() {
                window.location.href = "stats.html"
            }
            function reset() {
                console.log('clicked!');
                document.getElementById('reset-modal').style.display = 'block';
                // alert('Ta togloomiig dahin ehluulehdee itgeltei baina uu? Ene uildliig dahin butsaah bolomjgui.');
            }
            function no() {
                document.getElementById('reset-modal').style.display = 'none';
            }
            function yes() {
                console.log("asdada")
                firebase.database().ref(`/Users/${localStorage.getItem('username')}`).remove().then(() => {
                    console.log('qwert')
                    localStorage.clear();
                    window.location.href = 'icon.html';
                    console.log(localStorage.getItem('username'));
                });
            }
            function leaderboard() {
                window.location.href = 'test.html';
            }
            function sound() {
                window.location.href = 'test.html';
            }
        </script>
    </body>
</html>